Subject: Re: bug#16922: df --si -h should emit a warning

From: Pádraig Brady <[email-masked]>
Date: Mon, 03 Mar 2014 10:54:19 +0000

On 03/03/2014 09:36 AM, Pádraig Brady wrote:
> On 03/03/2014 04:55 AM, Paul Eggert wrote:
>> Pádraig Brady wrote:
>>> +  -h, --human-readable  print abbreviated sizes in powers of 1024 (e.g. %s)\n\
>>> +  -H, --si              print abbreviated sizes in powers of 1000 (e.g. %s)\n\
>>
>> Thanks for looking into improving this.  Please put commas after "e.g.".  Also, I suggest removing "abbreviated", and simplifying the translator's job by simply interpolating the human.  E.g.:
>>
>> -h, --human-readable  print sizes in powers of 1024 (e.g., 1023M)\n\
>> -H, --si              print sizes in powers of 1000 (e.g., 1.1G)\n\
> 
> Better thanks.
> I've rolled that into my local patch.

Actually I left the %s in the string to be replaced at runtime,
so that 1.1G or 1,1G is output as appropriate.

thanks,
Pádraig.